Project

General

Profile

Anomalie #2111

Création des bridges supplémentaires pour les conteneurs

Added by Emmanuel GARETTE (2) about 11 years ago. Updated almost 11 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Category:
-
Start date:
09/26/2011
Due date:
% Done:

100%

Estimated time:
0.25 h
Spent time:
Distribution:
EOLE 2.3

Description

Il est possible d'associer des interfaces supplémentaires à une interface en mode bridge. Le problème c'est que les bridges n'existent pas encore au démarrage du conteneur.

Le patch suivant créer les bridges :

--- lxc    2011-09-26 20:18:40.559470915 +0200
+++ /etc/init.d/lxc    2011-09-26 20:13:33.695529538 +0200
@@ -35,6 +35,22 @@
     fi
 }

+create_bridge()
+{
+    #creer les bridges pour les interfaces supplémentaires en mode bridge
+    grep "method_eth" /etc/eole/containers_bridge.conf | while read a; do
+        if [ "${a#*=}" = "'bridge'" ]; then
+            b=${a%=*}
+            num=${b##*eth}
+            if [ ! "$num" = "" ]; then
+                interface="breth$num" 
+                ifconfig $interface > /dev/null 2>&1
+                [ $? = 1 ] && brctl addbr $interface
+            fi
+        fi
+    done
+}
+
 do_start()
 {
     . /etc/eole/network_containers.conf
@@ -45,6 +61,7 @@
         /sbin/sysctl -w net.ipv4.conf.br0.proxy_arp=100
     fi
     check_read_only
+    create_bridge
     for C in $(ls -1 /var/lib/lxc); do
         if [ -r /var/lib/lxc/$C/on_boot ]; then
             if [ ! "$(lxc-info -n $C)" = "'$C' is RUNNING" ]; then

Related issues

Related to eole-common - Anomalie #2113: Gestion de eole-firewall pour le mode bridge Fermé 09/26/2011

Associated revisions

Revision 880224a1 (diff)
Added by Joël Cuissinat almost 11 years ago

lxc : création des bridges supplémentaires (fixes #2111)

History

#1 Updated by Joël Cuissinat almost 11 years ago

  • Target version set to Mises à jour 2.3 - 03 RC

#2 Updated by Joël Cuissinat almost 11 years ago

  • Assigned To set to Joël Cuissinat
  • Target version changed from Mises à jour 2.3 - 03 RC to Mises à jour 2.3 - 02 Stable
  • Estimated time set to 0.25 h
  • Distribution set to EOLE 2.3

#3 Updated by Joël Cuissinat almost 11 years ago

  • Status changed from Nouveau to Résolu
  • % Done changed from 0 to 100

#4 Updated by Joël Cuissinat almost 11 years ago

=> Fonctionnement à valider sur Eclair

#5 Updated by Joël Cuissinat almost 11 years ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF